> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis.md).

# 角色创建 API

该 **角色塑造 API** 让开发者完全掌控 AI 角色的设计、配置和演进方式。\
这些 API 是角色身份的基础——定义其 **性格、行为、知识和叙事** 在所有交互中的一致性。

通过这些 API，你可以：

* **创建和管理角色** —— 定义角色元数据，如名称、描述、语言。
* **配置 AI 设置** 通过 **核心 AI 设置 API**，包括模型选择、温度参数。
* **构建并维护知识库** —— 上传、更新并整理构成角色领域知识的文档。
* **开发背景故事** 使用 **背景故事 API**，为你的角色提供深度与连贯性。
* **设计叙事元素** 通过 **叙事设计 API** 以创建沉浸式故事情节和世界观连接。
* **定义并管理动作** （手势、动作或特定环境下的行为），使用 **动作 API**.
* **访问语言和语音选项** 通过 **语言列表** 是位于 **语音列表 API**，从而实现多语言和可定制语音的角色体验。
* **检索并管理角色列表和版本** 通过 **角色列表 API**，确保你的生产角色保持有序并正确版本化。
* **评估并优化** 使用以下 API 来评估你角色的回复和表现 **评估 API**.

这些 API 共同让你能够塑造角色的 **核心智能、情感基调和知识框架**，确保在每次对话中都呈现一致、可信的个性。

{% content-ref url="/pages/dab4497e3350d6ecde15c3c9e5ad83e64bc21bc9" %}
[角色基础 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/character-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/d469688f9d4ad68069e55312cfea61bb7a4d9f24" %}
[背景故事 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/backstory-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/022b58fc84ede8ef62eb99e705ed732d009ab0be" %}
[Mindview API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/mindview-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/ba1c2d733d1597fe6cbe6b30bbd302d5f1bf6fb1" %}
[核心 AI 设置 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/core-ai-settings-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/188670c7a430f8bc1c5fbd90fa7d6e22f07d3474" %}
[叙事设计 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/narrative-design-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/7c5287afcd4e876cdd7ac8cac05b07b2529acb89" %}
[知识库 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/knowledge-bank-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/f8d44c79bf1e017f91e01dcd9fb7a3a708930589" %}
[动作 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/action-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/ac8129adfcadd7218ac6e52bdc6388fefcf9351a" %}
[聊天历史 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/chat-history-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/0bef86f48f506b7240afeae45c35ccdd06027c8e" %}
[评估 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/evaluation-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/fdfed88f59c6997bd47c6e08c93781d8de8d9d7d" %}
[语言列表 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/language-list-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/ca26d73f8d2e97a80021565ab030a9f12904f637" %}
[语音列表 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/voice-list-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/533981de37c51ca21e1526c104e6de84309a01a1" %}
[角色列表 API](/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis/character-list-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/api-can-kao/core-api-reference/character-crafting-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
